/* RESET CSS */
/* https://piccalil.li/blog/a-more-modern-css-reset/ */
/* https://www.joshwcomeau.com/css/custom-css-reset/ */

*,
*::before,
*::after { box-sizing: border-box; }

html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

body {
    margin: 0;
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}

h1, h2, h3, h4, button, input, label { line-height: 1.1; }
input, button, textarea, select { font: inherit; }
h1, h2, h3, h4 { text-wrap: balance; }
p, li, dd { text-wrap: pretty; }

img, picture {
    display: block;
    max-width: 100%;
}

textarea:not([rows]) { min-height: 10em; }
:target { scroll-margin-block: 5ex; }

/* GLOBAL CSS */

@font-face {
    font-family: "Ioskeley";
    src: url("/assets/fonts/Ioskeley Mono Optimized.woff2");
}

html { color-scheme: light dark; }
body {
    font-family: Ioskeley, monospace;
    font-size: 1.25rem;
}

main {
    max-width: 60ch;
    margin-inline: auto;
}